Cantera 2.6.0

Namespaces | Functions
importKinetics.h File Reference

Definitions of global routines for the importing of data from XML files (see Input File Handling). More...

`#include "Kinetics.h"`
Include dependency graph for importKinetics.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Functions
bool | installReactionArrays (const XML_Node &p, Kinetics &kin, std::string default_phase, bool check_for_duplicates=false)
| Install information about reactions into the kinetics object, kin. More...
bool | importKinetics (const XML_Node &phase, std::vector< ThermoPhase * > th, Kinetics *kin)
| Import a reaction mechanism for a phase or an interface. More...
bool | buildSolutionFromXML (XML_Node &root, const std::string &id, const std::string &nm, ThermoPhase *th, Kinetics *kin)
| Build a single-phase ThermoPhase object with associated kinetics mechanism. More...
bool | checkElectrochemReaction (const XML_Node &p, Kinetics &kin, const XML_Node &r)
| Check to ensure that all electrochemical reactions are specified correctly. More...

## Detailed Description

Definitions of global routines for the importing of data from XML files (see Input File Handling).

This file contains routines which are global routines, that is, not part of any object. These routine take as input, ctml pointers to data, and pointers to Cantera objects. The purpose of these routines is to initialize the Cantera objects with data from the ctml tree structures.

Definition in file importKinetics.h.